This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 458345 - (python-rabbyt) Review Request: python-rabbyt - sprite library for Python with game development in mind
Review Request: python-rabbyt - sprite library for Python with game developme...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 458598
  Show dependency treegraph
 
Reported: 2008-08-07 14:12 EDT by Simon
Modified: 2008-10-30 08:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 23:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2008-08-07 14:12:51 EDT
Spec URL: http://packages.cassmodiah.de/fedora/rabbyt/bugzilla/1/Rabbyt.spec
SRPM URL: http://packages.cassmodiah.de/fedora/rabbyt/bugzilla/1/Rabbyt-0.8.1-1.fc9.src.rpm
Description: 
Rabbyt is a sprite library for Python with game development in mind.
It has two goals:

* To be fast, without sacrificing ease of use.
* To be easy to use, without sacrificing speed.

Rabbyt makes it very easy to create lots of sprites very 
fast that run very fast with little code.
Comment 1 Simon 2008-08-10 05:49:14 EDT
SPEC: http://packages.cassmodiah.de/fedora/rabbyt/bugzilla/2/python-rabbyt.spec
SRPM: http://packages.cassmodiah.de/fedora/rabbyt/bugzilla/2/python-rabbyt-0.8.1-2.fc9.src.rpm

renamed from Rabbyt to python-rabbyt to honor the Python Naming Guidelines
Comment 2 Brian Pepple 2008-08-10 20:13:55 EDT
Package fails to build in koji, due to RPM's new use of --fuzz=0

http://koji.fedoraproject.org/koji/getfile?taskID=769557&name=build.log
Comment 4 Simon 2008-08-13 12:23:30 EDT
(In reply to comment #2)

http://koji.fedoraproject.org/koji/taskinfo?taskID=770931

[cassmodiah@schafwiese 3]$ ls -l
insgesamt 2024
-rw-rw-r-- 1 cassmodiah cassmodiah 151071 13. Aug 18:18 python-rabbyt-0.8.1-3.fc10.i386.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 179474 13. Aug 18:18 python-rabbyt-0.8.1-3.fc10.ppc64.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 176673 13. Aug 18:18 python-rabbyt-0.8.1-3.fc10.ppc.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 173699 13. Aug 18:18 python-rabbyt-0.8.1-3.fc10.src.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 170038 13. Aug 18:18 python-rabbyt-0.8.1-3.fc10.x86_64.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 278470 13. Aug 18:18 python-rabbyt-debuginfo-0.8.1-3.fc10.i386.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 295534 13. Aug 18:18 python-rabbyt-debuginfo-0.8.1-3.fc10.ppc64.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 295670 13. Aug 18:18 python-rabbyt-debuginfo-0.8.1-3.fc10.ppc.rpm
-rw-rw-r-- 1 cassmodiah cassmodiah 296349 13. Aug 18:18 python-rabbyt-debuginfo-0.8.1-3.fc10.x86_64.rpm
[cassmodiah@schafwiese 3]$ rpmlint *
9 packages and 0 specfiles checked; 0 errors, 0 warnings.
[cassmodiah@schafwiese 3]$
Comment 7 Orcan Ogetbil 2008-10-21 23:42:55 EDT
The package is in very good shape. I have two questions:

* The file setup.py contains
   compile_args = ["-O3"]
which overrides the default %{optflags}'s -O2 flag. Do you think this is acceptable? Will the package build without this -O3 option?

* This question also concerns snowballz. When I build the snowballz package from your SRPM and try to start the game I get:

Traceback (most recent call last):
  File "snowballz.py", line 11, in <module>
    from player import Player
  File "/usr/share/games/snowballz/player.py", line 2, in <module>
    import ai
  File "/usr/share/games/snowballz/ai.py", line 2, in <module>
    import data
  File "/usr/share/games/snowballz/data.py", line 7, in <module>
    import font
  File "/usr/share/games/snowballz/font.py", line 3, in <module>
    import rabbyt.fonts
ImportError: No module named fonts


It can't find the rabbyt module fonts. Did you forget to package this module or is this entirely a snowballz bug?
Comment 8 Orcan Ogetbil 2008-10-22 00:59:22 EDT
Taking a closer look at the source I think that is a deprecated module. Well I may be wrong but snowballz definitely needs to be corrected somehow.

By the way it would be nice if you could provide a doc subpackage with the content of the "docs, examples, tests" directories from the source.
Comment 9 Simon 2008-10-22 01:31:49 EDT
Hi Orcan,

snowballz is just compatible with python rabbyt 0.8.1 or 0.8.0 not with other versions.

Changes from Version 0.8.1 to Version 0.8.2

    * Removed deprecated fonts and vertexarrays modules.
    * Fixed various problems with the Quad class's properties.
    * Fixed problems compiling with new versions of pyrex.

I found the old (0.8.1) Rabbytspec & -sources on my PC, created a SRPM and uploaded it again.
SPEC: http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.1/python-rabbyt-0.8.1-3.fc10.src.rpm
SRPM: http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.1/python-rabbyt.spec
very strange, in this version i included a patch for the compileargs. yes Rabbyt 0.8.2 will build with -02 (the standard). I include the patch in the current spec. Thanks for this hint.
SPEC: http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.2/python-rabbyt.spec
SRPM: http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.2/python-rabbyt-0.8.2-2.fc10.src.rpm
Comment 10 Simon 2008-10-22 01:50:10 EDT
> By the way it would be nice if you could provide a doc subpackage with the
> content of the "docs, examples, tests" directories from the source.

perhaps 3 subpackages docs examples and test?

i already thought about it, i left it out, because i thought it's not really relevant. mh :-/
i will include it...
Comment 11 Simon 2008-10-23 02:44:02 EDT
Okay
One problem remains.
i can't build the docs in the %build-Section, because the docs need the builded rabbyt to build.. :-/
this is a problem i can't fix..


SPEC: http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.2/python-rabbyt.spec
SRPM:
http://cassmodiah.fedorapeople.org/python-rabbyt-0.8.2/python-rabbyt-0.8.2-3.fc10.src.rpm
Comment 12 Orcan Ogetbil 2008-10-23 12:34:41 EDT
Great,
* But I was able to build the docs when I moved the line
 cd docs; PYTHONPATH=%{buildroot}%{python_sitearch} %{__python} make_docs.py;cd ..
to right after the "setup.py build" in the %build section. What was wrong in your case?

* When you are commenting out a line that has a macro make sure you use %% instead of a single %, so that the macro doesn't expand out. (e.g. in the %check section)
Comment 13 Simon 2008-10-23 13:41:16 EDT
(In reply to comment #12)
> Great,
> * But I was able to build the docs when I moved the line
>  cd docs; PYTHONPATH=%{buildroot}%{python_sitearch} %{__python} make_docs.py;cd
> ..
> to right after the "setup.py build" in the %build section. What was wrong in
> your case?

really? just by moving the lines? 

My problem was and is:
It can't find the pythonmodule "rabbyt" in the %{buildroot}%{python_sitearch} because it was not installed. I already had this problem before, so i left the docs out. i only found the ugly method to build it in install-section, after the rabbytegg was installed, because it could not found it before. 
Your hint fails in my build :-( if you was able to do it, you did more than just moving the lines...
  
> * When you are commenting out a line that has a macro make sure you use %%
> instead of a single %, so that the macro doesn't expand out. (e.g. in the
> %check section)

I'm going to remember this!
Comment 14 Orcan Ogetbil 2008-10-23 14:00:16 EDT
OK, my bad. The package is good to go. There's no easy way of building the docs other than in the install section. Put a comment in the spec file about this before you commit.

------------------------------------------------
This package (python-rabbyt) is APPROVED by oget
------------------------------------------------
Comment 16 Kevin Fenzi 2008-10-23 16:01:29 EDT
Please add a cvs admin request with template. 
See: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 17 Simon 2008-10-23 16:12:47 EDT
Package Name: python-rabbyt
Short Description: sprite library for Python with game development in mind
Owners: cassmodiah
Branches: F-9
InitialCC:
Comment 18 Simon 2008-10-23 16:24:59 EDT
New Package CVS Request
=======================
Package Name: python-rabbyt
Short Description: sprite library for Python with game development in mind
Owners: cassmodiah
Branches: F-9
InitialCC:
Comment 19 Dennis Gilmore 2008-10-27 00:21:20 EDT
CVS done
Comment 20 Fedora Update System 2008-10-28 12:49:29 EDT
python-rabbyt-0.8.2-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-rabbyt-0.8.2-4.fc9
Comment 21 Orcan Ogetbil 2008-10-28 23:07:36 EDT
Package submitted as an update. Closing the bug.
Comment 22 Fedora Update System 2008-10-30 08:55:49 EDT
python-rabbyt-0.8.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.